Name:           voxelands
Version:        1709.00
Release:        %mkrel 5
Summary:        The fun-focused free software voxel world game
Group:          Games/Simulation
License:        GPLv3+
URL:            https://www.voxelands.com/
# https://gitlab.com/voxelands/voxelands/tags
Source0:        %{name}-%{version}.tar.xz
Patch0:         voxelands-1709.00-mga-games-and-locale-install-paths.patch
Patch1:         voxelands-1409.00-mga-desktop-file.patch
# https://gitlab.com/voxelands/voxelands/merge_requests/109
Patch2:         0001-CMake-Fix-include-path-for-out-of-source-build.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  irrlicht-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(jthread)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbis)

%description
Voxelands (formerly “Minetest-Classic”) is a fork of Minetest-C55, aiming
to return Minetest to the speedy game it was once known as, while fixing
bugs and continuing to add features and functionality. It aims to be a fast,
polished 3D sandbox voxel world game, rather than just a base for modding.

Voxelands features hundreds of blocks, official and player-run servers,
a growing community and rapid development.

%prep
%autosetup -p1

%build
%global build_cflags %build_cflags -std=gnu17
%global build_cxxflags %build_cxxflags -std=gnu++17
%cmake \
       -DRUN_IN_PLACE=0 \
       -DENABLE_FREETYPE=1 \
       -DBUILD_SHARED_LIBS=OFF \
       -DJTHREAD_INCLUDE_DIR=%{_includedir}/jthread
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.txt doc/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-server
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}*.6*


%changelog
* Thu May 22 2025 daviddavid <daviddavid> 1709.00-5.mga10
+ Revision: 2185619
- fix build with gcc 15 using -std=gnu17

* Thu Mar 31 2022 umeabot <umeabot> 1709.00-4.mga9
+ Revision: 1837579
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1709.00-3.mga8
+ Revision: 1518055
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1709.00-2.mga7
+ Revision: 1301640
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 akien <akien> 1709.00-1.mga7
+ Revision: 1207490
- Version 1709.00

* Sun Apr 09 2017 akien <akien> 1704.00-1.mga6
+ Revision: 1096186
- Version 1704.00

* Fri Mar 24 2017 akien <akien> 1608.01-2.mga6
+ Revision: 1094692
- Rebuild for jthread 1.3.3

* Sat Oct 29 2016 akien <akien> 1608.01-1.mga6
+ Revision: 1064061
- Version 1608.01

* Thu Apr 21 2016 akien <akien> 1602.00-1.mga6
+ Revision: 1004170
- Version 1602.00

* Wed Feb 17 2016 umeabot <umeabot> 1508.01-2.mga6
+ Revision: 963214
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 akien <akien> 1508.01-1.mga6
+ Revision: 885872
- Version 1508.01

* Thu Jul 30 2015 akien <akien> 1507.00-1.mga6
+ Revision: 859018
- Version 1507.00

* Tue Jun 23 2015 akien <akien> 1506.00-1.mga6
+ Revision: 840820
- Version 1506.00

* Sun Feb 22 2015 akien <akien> 1501.00-1.mga5
+ Revision: 816321
- Version 1501.00

* Sat Dec 27 2014 akien <akien> 1412.01-1.mga5
+ Revision: 806559
- Version 1412.01
- Enable freetype2 support

* Thu Oct 23 2014 akien <akien> 1409.00-1.mga5
+ Revision: 792681
- Version 1409.00
- Fix game path to the assets and the translation files

* Wed Oct 15 2014 umeabot <umeabot> 1408.00-3.mga5
+ Revision: 750172
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1408.00-2.mga5
+ Revision: 690240
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 akien <akien> 1408.00-1.mga5
+ Revision: 674147
- Version 1408.00

* Fri Aug 01 2014 akien <akien> 1407.00-1.mga5
+ Revision: 659143
- imported package voxelands

